#ifndef _GLUGG_SHAPES_
#define _GLUGG_SHAPES_

#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#ifdef __APPLE__
	#include <OpenGL/gl3.h>
	#include "MicroGlut.h"
// uses framework Cocoa
#else
	#include <GL/glut.h>
#endif
#include "GL_utilities.h"
#include "VectorUtils3.h"

#ifdef __cplusplus
extern "C" {
#endif

void gluggCube(GLfloat size);
void gluggDoughnut(GLfloat r, GLfloat R, GLint nsides, GLint rings);
void gluggDodecahedron(float size);
void gluggOctahedron(GLfloat size);
void gluggIcosahedron(GLfloat size);
void gluggTetrahedron(GLfloat size);
void gluggEllipsoid(int aSlices, int hSlices, vec3 dimensions);
void gluggSphere(int aSlices, int hSlices, float radius);
void gluggCylinder(int aSlices, float height, float width);
void gluggCone(int aSlices, float height, float width);
void gluggCylinderAlt(int aSlices, float height, float topwidth, float bottomwidth);


#ifdef __cplusplus
}
#endif

#endif
